INSTALL {base} | R Documentation

## Install Add-on Packages

### Description

To install packages into the default library tree (which is rooted at ``$R_HOME/library`'), do `R INSTALL pkgs`.

To install into the library tree `lib` instead of the default one, use `R INSTALL -l lib pkgs`.

### Usage

    R INSTALL [options] [-l lib] pkgs

### Arguments

`pkgs` | A list with the path names of the packages to be installed.
`lib` | the path name of the R library tree to install to.
`options` | a list of options through which in particular the build process for help files can be controlled. If `--no-docs` is given, no help files are built. `--no-text`, `--no-html`, and `--no-latex` suppress creating the text, HTML, and LaTeX versions, respectively. The default is to build help files in all three versions.

### Details

Both `lib` and the elements of `pkgs` may be absolute or relative path names. `pkgs` can also contain name of package archive files of the form ``pkg_version.tar.gz`' as obtained from CRAN, these are then extracted in a temporary directory.

For checking (via the examples in the help files ``man/*.Rd`', use `R CMD check [-l lib] <pkg>`, use `R CMD check --help` for more information.

### See Also

`REMOVE`, and `library` for information on using several library trees and creating packages; `update.packages` for automatic update of packages using the internet.

[Package Contents]